Ubuntu

Screen brightness control fails on Dell Studio 1558

Reported by Andy Ross on 2010-04-22
332
This bug affects 59 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Ayan George
Nominated for Maverick by Ayan George
linux (Ubuntu)
Low
Kamal Mostafa
Nominated for Lucid by Ayan George
Nominated for Maverick by Ayan George

Bug Description

Attempts (on a current Lucid beta) to control the screen brightness on
my Dell Studio 1558 fail with the following errors reported in dmesg:

 [ 1162.236365] ACPI: Failed to switch the brightness
 [ 1162.379144] ACPI: Failed to switch the brightness
 [ 1162.538226] ACPI: Failed to switch the brightness
 [ 1162.667358] ACPI: Failed to switch the brightness
 [ 1162.784171] ACPI: Failed to switch the brightness

This is true both for the keyboard's brightness controls (Fn-F4,
Fn-F5) and for a gnome-brightness-applet on the panel.

Output of acpidump, dmesg and lspci is attached.

Andy Ross (andy-plausible) wrote :
Andy Ross (andy-plausible) wrote :
Andy Ross (andy-plausible) wrote :
Kevin Hester (kevinh) wrote :

Also occurs (for me) on Lucid release candidate (same log messages)

Jerone Young (jerone) wrote :

Can someone post "lspci -vvnn" as well as /var/log/Xorg.0.log

Changed in alsa-driver (Ubuntu):
status: New → Invalid
Changed in dell:
status: New → Invalid
Andy Ross (andy-plausible) wrote :
Andy Ross (andy-plausible) wrote :

Logs as requested.

Also: following hints for similar bugs on other hardware, I tried adding
"acpi_backlight=vendor" to the kernel command line. No effect.

Kevin Hester (kevinh) wrote :

I tried acpi_backlight=video also and it was no good. Let me know if you want additional debug info (even to the point of letting you ssh into my machine if you want.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)
status: Confirmed → In Progress
Joe Luis (jlborrero) wrote :

Yo tambián presento ese problema con los controles (fn-F4 y fn-F5) en mi laptop DELL Studio 1558.

Kamal Mostafa (kamalmostafa) wrote :

Note to testers: While investigating this bug, I discovered that "acpi_backlight=video" is actually non-functional (see LP: #573120). Even with that problem fixed acpi_backlight=video does not fix the brightness controls on the Dell Studio laptop. My investigation continues.

Kamal Mostafa (kamalmostafa) wrote :

I have developed a PRELIMINARY TEST FIX for this problem, which is caused by a dysfunctional ACPI _BCM backlight brightness control method in the Dell Studio 1558 firmware (and likely the other 155x models). The fix involves overriding the use of the _BCM method with the Intel GPU i915 driver's opregion backlight control method. The fix will therefore affect all i915-based systems that support the opregion method not just Dell Studio systems. This does fix the brightness keys on the Dell Studio 1558 and might also fix other i915 systems with backlight brightness control problems.

A binary kernel including this PRELIMINARY TEST FIX (as well as the source patch) is available here:
    http://kernel.ubuntu.com/~kamal/i915_brightness/
To install this kernel, download the two .deb files and install them using:
    sudo dpkg -i linux*kamal*.deb

Note that the test kernel also includes the fixes for LP: #553498 and LP: #573120 (even though the acpi_backlight= boot option is not required for the Dell Studio 155x with this kernel).

After rebooting, verify that "dmesg | grep backlight" yields the following line, signifying that the backlight will be controlled by the i915 driver:
    ACPI: ~kamal TEST acpi_set_backlight_register

Feedback to this bug report will be much appreciated, from Dell Studios or any other i915-based systems.

Jerone Young (jerone) wrote :

@Kamal
               have you submitted these to xorg & kernel lists? So others can look at them.

Kamal Mostafa (kamalmostafa) wrote :

@Jerone - This fix has not yet been submitted to the kernel lists, since I'm still working on polishing the patches -- I consider this to be a "PRELIMINARY TEST FIX" only, but I would like to get confirmation from the other bug subscribers that the method works without problems for them. The patches as they currently stand are available for inspection (at the same URL as the binary kernel). The patches will be sent upstream to linux-acpi and linux-kernel once they're ready.

Kevin Hester (kevinh) wrote :

Kamal,

Thank you - this fix is awesome! This fix combined with your other fixes for the new Dell Studios make them into one of the best linux laptops out there. If you are ever up in the peninsula send me an email - I owe you lunch!

Andy Ross (andy-plausible) wrote :

Tested and verified. It works great.

Kamal,

I have a Dell Studio 15 (1558) with the Intel i915.
After installing your fix, I no longer have issue with the brightness keys not working.

Thank you so much!

Chris

quinosonic (joaquincruz) wrote :

Got it running on a Studio 1558 (Intel i350) and it works fine. Thanks a lot Kamal, I was burnin' my eyes!!!

Changed in linux (Ubuntu):
importance: Undecided → Low
Shlape (shlape) wrote :

Just like to thank you Kamal, and to confirm the fix also works on my HP DV3 2105TU laptop.

Andy Ross (andy-plausible) wrote :

This apparently didn't make it into the 2.6.32-22-generic kernel that just got pushed. Are there verification steps needed to make sure it goes in for next time?

Kamal Mostafa (kamalmostafa) wrote :

Testers -- thanks very much for your valuable feedback. Note that this "i915 brightness" fix has NOT yet been applied to the Ubuntu development kernel, but it has now been submitted for comments to the relevant upstream development teams. For the time being, the fix is only available in the test kernels that I post to this bug, which I'll need to update after each intervening kernel release.

The latest build for Lucid is available here: http://kernel.ubuntu.com/~kamal/i915bri~3e/latest-lucid/ (source patch in the parent directory). To install this kernel, download the two .deb files and install them using:
    sudo dpkg -i linux*kamal*.deb

Note that the test kernel also includes the fixes for LP: #553498 and LP: #573120 (even though the acpi_backlight= boot option is not required for the Dell Studio 155x with this kernel).

After rebooting, verify that "dmesg | grep backlight" yields the following line, signifying that the backlight will be controlled by the i915 driver:
    acpi device:04: registered as backlight/i915

Feedback to this bug report will be much appreciated, from Intel GPU-based (i915 driver) systems.

Kamal Mostafa (kamalmostafa) wrote :

Minor corrections to my comment #20 about the ~kamal/i915bri~3e/latest-lucid test kernel:
 - There are three (not two) .deb files which need to be downloaded and dpkg installed.
 - This test kernel does not contain the (irrelevant) fix for 573120 acpi_backlight=.

Shlape (shlape) wrote :

The latest build still works for the HP DV3-2105TU laptop, and dmesg has the "backlight/i915" line.

Of less importance, I thought I'd mention that dmesg still has the old warning line:
[Firmware Bug]: ACPI: ACPI brightness control misses _BQC function

entropia (yosoypia) wrote :

Hi, I'm having this same brightness problem on my dell studio 1558 (intel i5) on which i have installed ubuntu 10.04 i386.
The patches above are built for amd64 architecture. Does anyone knows if there are any for i386 or if i can make the amd64 work in some way? Should I install the amd64 version?
Thank you all very much for your help!! :)

entropia (yosoypia) wrote :

Hi everybody!
I've reinstalled ubuntu 10.04 but this time the amd64 version, installed the above .deb and the brightness controls works perfectly: thank you kamal!!!!!!!! :)
I was wondering if its possible to fix the brigtness problem and the hang on resume after suspend together or if its better to wait to the next kernel release (since as they are different patches i'm not shure if installing the other one would leave the brightness fix not working).
Thank you!!

znorris (znorris) wrote :

Worked great for 64bit Ubuntu and Dell Studio 1569.

Thanks.

Kamal Mostafa (kamalmostafa) wrote :

Status update:

1. This patch is still pending review upstream. Thanks for your continued patience folks.

2. There was a recent official Lucid kernel update (2.6.32-23 #37), necessitating a rebuild of my "i915 brightness" test kernel. The latest build for Lucid (based on the current #38 development tree) is available here: http://kernel.ubuntu.com/~kamal/i915bri~3e/latest-lucid/ (source patch in the parent directory). To install this kernel, download the three .deb files and install them using:
    sudo dpkg -i linux*kamal*.deb

After rebooting, verify that "dmesg | grep backlight" yields the following line, signifying that the backlight will be controlled by the i915 driver:
    acpi device:04: registered as backlight/i915

LeboyX (phreakizzle) wrote :

This looks to be exact what I need, as a lack of brightness controls is killing me. Is there an i386 build for this yet, as I'm loathe to have to reinstall my OS.

Kamal Mostafa (kamalmostafa) wrote :

Folks, I will be distributing this "i915 brightness" test kernel in a PPA from now on (for both amd64 and i386). This should make it easier for those us that need the fix to regain it again after each official Ubuntu kernel release. Note that I've also included the popular SCI_EN sleep/resume fix from LP: #594837 in this PPA build as well:

    https://launchpad.net/~kamalmostafa/+archive/linux-kamal-i915bri

This is the same fix that we've had for awhile now (just re-applied to the latest Ubuntu Lucid kernel).

I will update the PPA as soon as I can after each Lucid kernel release until we can get a fix into the official kernel.

LeboyX (phreakizzle) wrote :

Just added the PPA, updated, and restarted. The patch works perfectly: my brightness controls work now. (I'm running Ubuntu 10.4, 32-bit on a Dell Studio 1558).

I didn't have any of the hang problems with sleep, but now I s'pose I never will.

Thanks! : D

lohapuk (lohapuk) wrote :

I have a hp envy 14 and this has fixed my brightness problems.

Where can I see the patch source? I am running openSUSE and would love to have this fixed for my HP Envy 14 too...

Ah, sorry, found the patches in your dir. Thx, I appreciate your work!

lohapuk (lohapuk) wrote :

Just wondering if resume works for you on the hp envy 14, using that patch it hangs once it has suspended and will not come back to life.

Kamal Mostafa (kamalmostafa) wrote :

Dell Studio 155x users take note: I have created a PPA specifically targeted to the Dell Studio 155x laptop. This PPA includes the experimental "i915 brightness" patch, as well as other useful experimental patches relevant to the Dell Studio 155x:

  https://launchpad.net/~kamalmostafa/+archive/linux-kamal-dellstudio

Users of other machines who want the "i915 brightness" patch should continue to use the non-Dell specific PPA:

  https://launchpad.net/~kamalmostafa/+archive/linux-kamal-i915bri

Thanks for your feedback and your patience, folks.

lohapuk (lohapuk) wrote :

any news on, if / when this patch will make it into the made kernel branch.

chamilis (chamilis) wrote :

Can the patches available in http://kernel.ubuntu.com/~kamal/i915bri~3e/ be applied to the kernel's source code from kernel.org?
I'm trying to get this problem fixed in Debian Squeeze.
Thanks

is there any chance to have this in the official kernel soon? I'm having problems with the ppa and my eyes are hurting ;)

Hi. I've tried downloading the .deb however, I still can't adjust the brightness of the screen. Mine is HP Pavilion dv3-2106tu. Is there anything needed for further troubleshooting?

zszoet,It wasn't working for me. But the reason was that the gnome power manager wasn't running for some reason. I executed it and the brightness controls started working perfectly.
Perhaps that is your problem.

Aviqc (davidanabel1) wrote :

Will this announced patch work for a hp g62-227ca? Would it break my system if it didn't ? this would be my first attempt at installing such a patch.

Hendy Irawan (ceefour) on 2010-10-29
summary: - Screen brightness control fails on Dell Studio 1558
+ Screen brightness control fails on Dell Studio 1558, Lenovo Ideapad Z360
summary: - Screen brightness control fails on Dell Studio 1558, Lenovo Ideapad Z360
+ Screen brightness control fails on Dell Studio 1558
affects: dell → null
Steve (parsec2010) on 2010-12-09
description: updated
Chris Van Hoof (vanhoof) on 2011-02-17
tags: added: hwe-blocker
186 comments hidden view all 266 comments
bcbc (bcbc) wrote :

I've just updated on Oneiric 14R N4010. The brightness keys are now working without any kernel boot options:

bcbc@ubuntu:~$ uname -a
Linux ubuntu 3.0.0-8-generic #11+kamal~mjgbacklight5-Ubuntu SMP Fri Aug 12 23:53:11 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
bcbc@ubuntu:~$ ls /sys/class/backlight
dell_backlight intel_backlight
bcbc@ubuntu:~$

The only thing is that when the function keys are pressed, the popup display show a computer with a solid bar underneath that doesn't change, however, if I go to System settings, Screen, the slider works appropriately.

As far as I am concerned, this is working great. Thank you for your effort to get this fixed and also providing the ppa's.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Kamal Mostafa (kamalmostafa) wrote :

I'm very pleased to announce that the last of Matthew Garrett's backlight patches has been merged into the upstream Linux tree[1] and the Ubuntu Oneiric kernel tree. It should appear in the next official Oneiric kernel release (3.0.0-9.12). As noted previously, some Oneiric systems will likely still need to boot with "acpi_backlight=vendor", and pending resolution of bug 827517 all Oneiric systems will still need to use the gnome-settings-daemon package supplied by my backlight PPA[2]. Further small refinements (fixing the popup display behavior) are likely in the near future.

I will be looking into the plausibility of merging the patch set into the official Ubuntu kernels for Natty and Maverick next, and will continue to support those releases via my PPA in the meantime.

[1] http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=aaa6fd2a004147bf32fce05720938236de3361d9
[2] https://launchpad.net/~kamalmostafa/+archive/linux-kamal-mjgbacklight

Great news!!! Thank's for all your work Kamal!

2011/8/17 Kamal Mostafa <email address hidden>

> I'm very pleased to announce that the last of Matthew Garrett's
> backlight patches has been merged into the upstream Linux tree[1] and
> the Ubuntu Oneiric kernel tree. It should appear in the next official
> Oneiric kernel release (3.0.0-9.12). As noted previously, some Oneiric
> systems will likely still need to boot with "acpi_backlight=vendor", and
> pending resolution of bug 827517 all Oneiric systems will still need to
> use the gnome-settings-daemon package supplied by my backlight PPA[2].
> Further small refinements (fixing the popup display behavior) are likely
> in the near future.
>
> I will be looking into the plausibility of merging the patch set into
> the official Ubuntu kernels for Natty and Maverick next, and will
> continue to support those releases via my PPA in the meantime.
>
> [1]
> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=aaa6fd2a004147bf32fce05720938236de3361d9
> [2] https://launchpad.net/~kamalmostafa/+archive/linux-kamal-mjgbacklight<https://launchpad.net/%7Ekamalmostafa/+archive/linux-kamal-mjgbacklight>
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/568611
>
> Title:
> Screen brightness control fails on Dell Studio 1558
>
> Status in NULL Project:
> Invalid
> Status in “alsa-driver” package in Ubuntu:
> Invalid
> Status in “linux” package in Ubuntu:
> Fix Committed
>
> Bug description:
> Attempts (on a current Lucid beta) to control the screen brightness on
> my Dell Studio 1558 fail with the following errors reported in dmesg:
>
> [ 1162.236365] ACPI: Failed to switch the brightness
> [ 1162.379144] ACPI: Failed to switch the brightness
> [ 1162.538226] ACPI: Failed to switch the brightness
> [ 1162.667358] ACPI: Failed to switch the brightness
> [ 1162.784171] ACPI: Failed to switch the brightness
>
> This is true both for the keyboard's brightness controls (Fn-F4,
> Fn-F5) and for a gnome-brightness-applet on the panel.
>
> Output of acpidump, dmesg and lspci is attached.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/null/+bug/568611/+subscriptions
>

--
Luciano Dato

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.0.0-9.12

---------------
linux (3.0.0-9.12) oneiric; urgency=low

  [ Andy Whitcroft ]

  * [Config] standardise CONFIG_NETFILTER_XT_TARGET_TCPOPTSTRIP=m
  * [Config] move ECRYPT_FS back to =y for all architectures
    - LP: #827197
  * record the compiler in the ABI and check for inconsistant builds

  [ Leann Ogasawara ]

  * Revert "SAUCE: OMAP: DSS2: enable hsclk in dsi_pll_init for OMAP36XX"
  * Revert "SAUCE: OMAP: DSS2: check for both cpu type and revision, rather
    than just revision"
  * Revert "SAUCE: ARM: OMAP: Add macros for comparing silicon revision"
  * rebase to v3.0.2
  * rebase to v3.0.3
  * Temporarily ignore module check
  * [Config] Set CONFIG_DM_MIRROR=m on amd64, i386, and arm
  * [Config] Set CONFIG_DM_MULTIPATH=m on amd64, i386, and arm
  * [Config] Set CONFIG_DM_SNAPSHOT=m on amd64, i386, and arm
  * [Config] Enable CONFIG_EDAC_AMD8111=m on powerpc
  * [Config] Enable CONFIG_EDAC_AMD8131=m on powerpc
  * [Config] Enable CONFIG_EDAC_CPC925=m on powerpc
  * [Config] Enable CONFIG_EDAC_PASEMI=m on powerpc
  * [Config] Set CONFIG_EFI_VARS=m on amd64 and i386

  [ Stefan Bader ]

  * [Upstream] xen-blkfront: Drop name and minor adjustments for emulated
    scsi devices
    - LP: #784937
  * [Config] Force perf to use libiberty for demangling
    - LP: #783660

  [ Stefano Stabellini ]

  * [Upstream] xen: Do not enable PV IPIs when vector callback not present
    - LP: #791850

  [ Tim Gardner ]

  * [Config] updateconfigs after rebase to 3.0.2

  [ Upstream Kernel Changes ]

  * Not all systems expose a firmware or platform mechanism for changing
    the backlight intensity on i915, so add native driver support.
    - LP: #568611
  * rebase to v3.0.2
  * rebase to v3.0.3
 -- Leann Ogasawara <email address hidden> Mon, 15 Aug 2011 13:35:57 -0700

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
AlexW (alex.wedensky) wrote :

dell studio 1558, i3, intel graphics, oneric i386 beta daily build

booting into live environment "as is" (both Unity and KDE) -- brightness keys don't work, brightness sliders in "settings" do nothing.

booting into live environment with "acpi-backlight=vendor" option -- in KDE brightness works as expected (both the keys and the slider); in Unity the keys produce "all or nothing" response, but the slider works correctly.

too early to draw conclusions?

cheers,

alex

Thank you Kamal (and everyone) for continuously providing help and solution for this issue. I have one quick question. Although I don't think it's proper to post it here but I assume it's related to the kernel I applied via the PPA. Since installing it, my wireless is disabled and could not be activated (as seen in the screenshot) even when I press the Wifi button. I am using HP Pavilion dv3t, Intel.

I don't remember the changes I made but if anyone could help me figure out which, it would be very much appreciated.

Thank you.

Adi Roiban (adiroiban) wrote :

Tried today Oneiric with linux-image-generic 3.0.0-9.15

The screen display control turns the screnn On or OFF, there is no intermediate brightness.

Adi Roiban (adiroiban) wrote :

Sorry for the noise.

Only now I saw comment 228.

I added dell_laptop.backlight=0 to kernel start options and it is now working with the standard Oneiric kernel.

It was not required to use gnome-settings-daemon from the PPA.

Thanks!

Kamal Mostafa (kamalmostafa) wrote :

[Oneiric Beta users]:

In Oneiric, the behavior "screen brightness keys toggle from max to min-brightness (no steps between)" in the Unity desktop is caused by bug 827517, which is now fixed in the gnome-settings-daemon package in the main Ubuntu archives -- but the fix didn't arrive until just after the Oneiric Beta 1 release. Simply updating your Oneiric system software after installing Beta 1 should pick up the fixed gnome-settings-daemon (version 3.1.90-0ubuntu2 or higher).

As noted previously, some Oneiric systems will still need to boot with "acpi_backlight=vendor" or some other vendor-specific boot parameter to make the brightness up/down keys work at all. See the PPA instructions page for details and additional diagnostic information (even though the PPA is no longer needed for Oneiric systems):
  https://launchpad.net/~kamalmostafa/+archive/linux-kamal-mjgbacklight

[Natty and Maverick users]: No news to report.

Latest manzanita natty test kernel is available on blade3:

  binary packages: /srv/kamal/x-2.6.38-11.50+kamal20110920

  git tree: /srv/kamal/ubuntu-natty [manzanita-kamal20110920]

New for this version are the following patches, backported from mainline:

  * ext4: wait for writeback to complete while making pages writable
  * vfs: Create __block_page_mkwrite() helper passing error values back
  * ext4: Rewrite ext4_page_mkwrite() to use generic helpers
  * vfs: Block mmapped writes while the fs is frozen

 -Kamal

-------

linux (2.6.38-11.50+kamal20110920) lucid; urgency=low

  LP: #666581 TEST KERNEL backported to 2.6.38-11.50 (natty)
  - Val patch set 20110914
  - Surbhi journal freeze patches
  - ext4_page_mkwrite fixes from upstream mainline
  - build for lucid

  [ Upstream Kernel Changes ]

  * don't busy retry the inode on failed grab_super_passive()
  * ext4: wait for writeback to complete while making pages writable
  * vfs: Create __block_page_mkwrite() helper passing error values back
  * ext4: Rewrite ext4_page_mkwrite() to use generic helpers
  * vfs: Block mmapped writes while the fs is frozen

  [ Surbhi Palande ]

  * Adding support to freeze and unfreeze a journal
  * Thaw the journal when you unfreeze the fs.

  [ Valerie Aurora ]

  * quota: Release path on error in sys_quotactl()
  * VFS: Fix s_umount thaw/write deadlock
  * VFS: Rename vfs_check_frozen() to vfs_block_until_thawed()
  * Documentation: Correct s_umount state for freeze_fs/unfreeze_fs

 -- Kamal Mostafa <email address hidden> Tue, 20 Sep 2011 15:31:03 -0700

 -Kamal

bond17_007 (manijshrestha) wrote :

Thanks kamal for your work on this.
I had this issue on Dell 1558 on ubuntu 11.04. I updated to your patch. I thought this was fixed on 11.10, I updated my system to 11.10 yesterday and now my brightness doesn't work anymore :(. The applet shows the bar but notthing happens on the screen.
When I grep the "dmesg" I see following errors:

[ 15.312411] [Firmware Bug]: ACPI: No _BQC method, cannot determine initial brightness

Can you please let me know if you can release a patch for this or if there is other workaround.

Thanks,

AlexW (alex.wedensky) wrote :

@bond17_007: my laptop does adjust the brightness when booted with kernel parameter "acpi_backlight=vendor". Funny thing is, neither the brightness nor suspending on lid close work if you log out... there isn't even an option to suspend or hibernate from the "power" menu on the login screen...

Kamal Mostafa (kamalmostafa) wrote :

Backlight brightness control in Ubuntu 11.10 (Oneiric) -- summary of known remaining issues:

As noted previously, some Ubuntu 11.10 (Oneiric) systems will still need to boot with "acpi_backlight=vendor" or some other vendor-specific boot parameter to make the brightness up/down keys work.

Screensaver blank screen gets stuck off: In Ubuntu 11.10 (Oneiric), users of Dell Studio 15, Dell Studio 1558, and some other models may experience the problem LP: #872652 ("screensaver backlight stuck off, system looks hung"). If you find that your backlight gets stuck off when the screensaver blanks the screen, see that bug number for the fix.

Some (all?) systems with Intel GMA4500-based graphics processors have their brightness controls "inverted" such that the brightness-down key increases the brightness and vice versa. This also results in the system starting with its brightness set to minimum (or even "off") when the system first boots. This problem is tracked by LP: #752165, LP: #765438, LP: #773471.

This fix works on my notebook, however, I noticed two things:
1. Whenever I start my computer, the brightness is at its maximum. It does not remember the last settings.
2. When my computer resumes from idle mode, the screen is not turned off, instead, brightness is at its lowest.

How do I fix it? Thanks

(Hats off to everyone for a job well done1)

By the way, my computer is HP Pavilion dv3t.

Hi, my notebook is an HP Pavilion DV7 with a Radeon Hybrid Card. I had Ubuntu 10.04 32bits and the patch Kamal made worked for me using the following kernel Params:
*radeon.modeset=0 (disables radeon discrete card)
*acpi_backlight=vendor (kamal patch)

Now I updated to Ubuntu 11.10 64bits and the patch is supposed to be already in the kernel. The problem is that if I use the second param, I get a black screen almost all of the time, and some few times the systems boots correctly with the brightness control working correctly.

Is there any way to solve this?

I would appreciate it very much!

Hi Kamal,

Thanks for your work on the backlight issue.

It was working fine for me with your PPA, until I upgraded to 11.10 (Oneiric). Now it's back to the broken behavior - stuck at maximum, responds to the hotkeys (but only moves up or down a notch then jumps back).

I've tried various combinations of: acpi_backlight=vendor and dell_laptop.backlight=0 in 'grub' to no avail, including not putting them in there (rebooting after each attempt of course).

Here's my info:

Dell XPS 17 L701X (64 bit)

$ cat /etc/issue
Ubuntu 11.10

$ ls /sys/class/backlight/
intel_backlight

$ uname -a
Linux photon 3.0.0-12-generic #20-Ubuntu SMP Fri Oct 7 14:56:25 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

--Darren.

I just discovered something really odd, by accident: tapping the middle "touch" button on the right of the laptop, the thing that looks like three lines with blobs on the end meeting at a point, dims the backlight as I want -- I can increase the brightness with Fn-F5. It's an odd key combination but it allows me to control the brightness. Hope that helps troubleshoot and as a workaround for others.

jhs_bg (i-petrov-ca) wrote :

A BIG thank you to all involved, especially Kamal for the tremendous efforts on this!

After one year owning that Dell Studio 1558 I finally can use linux! Freedom!
It works with "acpi_backlight=vendor dell_laptop.backlight=0".
I hated it before because it was burning my eyes with backlight to the max.

For the record, my laptop configuration is:
Intel Core i5
VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 18)
Full HD display

I could not manage to get the kernel 2.x.x patched and recompiled... It was way easier in the old Slackware days.
Or it is just me getting old...
Anyways, I can't explain how glad I am to see kernel 3 supports the nasty Dell acpi!

Thank you again!
::happy face::
Ivan

AlexW (alex.wedensky) wrote :

apologies for the noise... but since a lot of 1558 owners still get updates on the activity of this thread:

Am I the only one who doesn't have the Standby/Hibernate capability when logged out of the session? As in, log out of your session, close the lid -- nothing happens; and there's no option to standby or hibernate in the Power menu... (1558, i3, Intel, Kubuntu 11.10 64 bit fully updated).

for the record, 10.04 works as it should with Kamal's patch (_manythanks_)

Alex

Is there a way to have a finer control of the screen brightness?

I have been using the kamal~mjgbacklight kernels for
the /sys/class/backlight/intel_backlight control in my Dell
Studio 1558 since last spring. I now have the kamal~mjgbacklight
kernel in my Sony Vaio All-in-One with 22" display. Both systems
have the 1920x1080 screens and Core i3 CPU with the i915 driver and
the Sony has the same issue with the backlight as the Dell.

Both of these systems have a blinding bright screen and
the intel_backlight control solves those problems. Now I
have tried the acpi_video0 control on the newer kernels and the
result is not good enough.

My current kernel is linux 3.0 and I have both intel_backlight and
acpi_video0. The maximum brightness on the Dell is 4882 for the
intel_backlight and 15 for the acpi_video0 except the acpi_video0
doesn't seem to work for the Dell. The Sony has maximum brightness
of 4687 with the intel_brightness and maximum of 8 with the
acpi_video0 and both can used at the same time. Here is the problem
with the Sony:

ACPI INTEL
0 1066
1 1396
2 1874
3 2334
.
.
8 4687

The settings for acpi_video0 at 4,5,6,7 are too bright for my eyes
to check the numbers and cause a type of blindness after a while.
Most of the time I use the brightness setting of between 300 and 500
with the intel_backlight control because the setting for 0 or 1 on
the acpi_video0 control is just too bright for my eyes.

The problem is the same with Windows 7 where the minimum brightness
is too bright. I think the acpi configuration might be finding the
same settings as for Windows and that is the problem. My solution
is to continue to use the intel_backlight control from the
kamal~mjgbacklight kernel.

Am I missing something here? Are there going to be any more fixes to
the brightness control? I am about to try the linux 3.1 kernel except
doubt the acpi_video0 will give a fine enough control of the brightness.
Should I continue to use the kamal~mjgbacklight fixing kernel forever?

I really like my Dell and my Sony when using the intel_backlight
brightness control and can't stand them with the acpi_video0 control.

Double thanks for Kamal-

Please ignore my comment above. I have just tried the linux 3.1 kernel and found both the acpi_video0 and the intel_backlight in the /sys/class/backlight still available in debian. I thought only the acpi_video was in the 3.0 kernel and so switched to the kamal~mgjbacklight kernel. Maybe I will figure that out after getting this retraction of my previous post done. I am sorry for the previous post I just thought the intel_backlight was replaced by the acpi_video0 in all future kernels. I am very happy now with the intel_backlight control and hope the native brightness controls are retained. Thanks again Kamal-

cherep (acherep) wrote :

@Kamal
probably I'm only one who stuck in the past with Maverick 10.10 :) but I love it!

After updating to a new kernel, I've lost the brightness control:
$ uname -r
2.6.35-31-generic
$ ls /sys/class/backlight
[empty]

Can you please update the ppa? Do you think the ppa will be maintained in the future for Maverick by 2012-04?
Thanks for your effort!

Kamal Mostafa (kamalmostafa) wrote :

I have updated my Ubuntu Maverick and Natty kernel PPA's with another new experimental patch by Keith Packard[0]. This new patch may resolve the "inverted brightness" and/or the "jumps with successive changes" behavior that has been reported on some systems:

    https://launchpad.net/~kamalmostafa/+archive/linux-kamal-mjgbacklight

The kernels containing the new patch are tagged "~kamal4~..." (use 'uname -a' to check); they will become available within the next day. If you experience any change in your brightness control behavior after updating to this new version, please post a note here.

For Ubuntu Oneiric (11.10), I am maintaining a separate backlight PPA which also now includes this new patch. Oneiric users should see the bug #872652 for that.

[0] http://lists.freedesktop.org/archives/intel-gfx/2011-November/013519.html

Kamal Mostafa (kamalmostafa) wrote :

@cherep-

I will continue to maintain the linux-kamal-backlight PPA for Maverick and Natty until the 12.04 release, but will likely stop maintaining it after that time. I encourage upgrading to Oneiric; I think it unlikely that the full set of backlight/brightness fixes will ever make it into the official Ubuntu Maverick or Natty kernels at this point.

valeriop (valerio-passini) wrote :

I want to report my success in finally enabling the brightness control of my LCD screen on
HP Pavilion dv6-6192sl.
I make use of Debian/Sid and a custom 3.1.4 kernel. It didn't worked before until I modified grub and passed the
acpi_backlight=vendor
option to the kernel at boot as told in other posts.
Thank to all that contributed with their experience and to Kamal Mostafa for the patches to Linux.

1 comments hidden view all 266 comments
rvgsd (rvgsd-id1) wrote :

Hi,

I have a Dell Studio 1558.
uname -a : Linux mypc-Studio-1558 2.6.35-32-generic-pae #67-Ubuntu SMP Mon Mar 5 21:23:19 UTC 2012 i686 GNU/Linux
With no boot parameters
ls /sys/class/backlight: acpi_video0
When using acpi_backlight=vendor as boot parameter:
ls /sys/class/backlight: dell_backlight

Until the latest update i.e. 2.6.35-32, the brightness up/down was working fine with "acpi_backlight=vendor" as the only boot parameter. After the update, the brightness up/down doesn't work and the screen is at full brightness. Note that I have the PAE kernel.

Help! (my eyes are burning and its exam time!!)

Thanks.!

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu laptop testing tracker.

A list of all reports related to this bug can be found here:
http://laptop.qa.ubuntu.com/qatracker/reports/bugs/568611

tags: added: laptop-testing
cherep (acherep) wrote :

@rvgsd
I think this linux-kamal-backlight PPA is not supported any longer for 10.10 and 11.04.

Kamal suggested to update to 12.04. I've seen backlight controls work fine under 12.04 without any PPA only after adding kernel parameters.

AlexW (alex.wedensky) wrote :

@cherep
On a Dell Studio 1558 with Intel HD graphics (my hardware) I still have to supply acpi_backlight=vendor to the kernel (both 11.10 and 12.04 beta2) -- but, you are right, no extra PPAs needed.

Anton Keks (anton-azib) wrote :

More info regarding Toshiba Satellite R830:

I can't change brightness after returning from sleep with Fn-keys, but echoing numbers to /sys/class/backlight/intel_backlight/brightness does change the brightness properly.

It seems that Fn keys write to /sys/class/backlight/acpi_video0/brightness, which doesn't do anything.
Perhaps a fix could be made in Unity (or gnome power manager) to prefer intel_brightness if it's available?

Curtis Hovey (sinzui) on 2012-07-12
no longer affects: null
naveen (naveenmvv) wrote :

i installed ubuntu 12.04 , i cannot change the brightness.
my system is dell 1558.

naveen (naveenmvv) wrote :

uname -a

Linux ubuntu 3.2.0-23-generic #36-Ubuntu SMP Tue Apr 10 20:39:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

 ls /sys/class/backlight

acpi_video0 intel_backlight

Joe Maillard (xxtoocoolxx) wrote :

naveen,

you need to manually set the boot parameter 'acpi_backlight=vendor' if you use grub as your boot manager, edit /boot/grub/grub.cfg and add the parameter to the end of the appropriate line that begins with 'linux'.

be sure to do this whenever you get kernel updates too.

naveen (naveenmvv) wrote :

Joe Maillard,

i installed using wubi , i cant find boot parameter to edit.

Luciano Dato (lucianodato) wrote :

I'm on 13.04 beta 2 the problem persist, even adding acpi_backlight=vendor to the boot parameters. I'm on kernel 3.8.0-18 and a12 bios firmware version for my studio 1558

Luciano Dato (lucianodato) wrote :

Oh I forgot ls /sys/class/backlight dell_backlight intel_backlight and uname -r 3.8.0-18-lowlatency as I've said before

try the whole string:

acpi_osi=Linux acpi_backlight=vendor dell_laptop.backlight=0

this worked on my Dell Studio 1558 with 3.8 kernels

Alex

On 13-04-17 09:27 PM, Luciano Dato wrote:
> Oh I forgot ls /sys/class/backlight dell_backlight intel_backlight and
> uname -r 3.8.0-18-lowlatency as I've said before
>

Luciano Dato (lucianodato) wrote :

Thank you Alex that worked with mine too!

Volkan Gezer (volkangezer) wrote :

Hello,

I am using 3.8.0.26 on Kubuntu 13.04 (KDE) Samsung Laptop and currently using "acpi_osi=Linux acpi_backlight=vendor" to enable backlight control. Whenever I log off, the controls are disabled again and I need to run intel_backlight. Another problem is power profiling. Whatever I set dimming and/or backlight off durations. It automatically turns it off in 5 minutes (even I totally disable it).

 Do you have any idea why the problem is still not solved?

Displaying first 40 and last 40 comments. View all 266 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.